<%= javascript_include_tag "/assets/kindeditor/kindeditor",'/assets/kindeditor/pasteimg'%>
<script>
    function check_org_title()
    {
        if($("#document_title").val().trim() == "")
        {
            $("#doc_title_hint").html("<span class='c_red'>标题不能为空</span>").show();
            return false;
        }
        else
        {
            $("#doc_title_hint").hide();
            return true;
        }
    }
    function create_org_document()
    {
        if(check_org_title() == true)
        {
            org_document_description_editor.sync();
            $('#new_org_document_form').submit();
        }
    }
    function cancel_create_org_document(){
        $("#document_title").val("");
        org_document_description_editor.html("");
        org_document_description_editor.sync();
        $('#org_document_editor').hide();
        $('#doc_title_hint').hide();
    }
</script>
<%= form_tag organization_org_document_comments_path(:organization_id => @organization.id), :id => 'new_org_document_form' do |f| %>
    <div class="resources">
      <div>
        <input class="postDetailInput fl" maxlength="250" name="org_document_comment[title]" id="document_title" style="resize:none;" onfocus = "$('#org_document_editor').show();" placeholder="请输入文章标题" />
      </div>
      <div id="doc_title_hint"></div>
      <div class="cl"></div>
      <div id="org_document_editor" class="mt10" style="display: none">
        <div>
          <%= kindeditor_tag 'org_document_comment[content]','', :editor_id => 'org_document_description_editor', :height => "150px" %>
        </div>
        <div class="cl"></div>


        <p id="homework_course_id_span" class="c_red mt5"></p>
        <div class="cl"></div>

        <div class="mt5">
          <a href="javascript:void(0);" class="BlueCirBtnMini fr" onclick="create_org_document();">确定</a>
          <span class="fr mr10 mt3">或</span>
          <a href="javascript:void(0);" onclick="cancel_create_org_document();" class="fr mr10 mt3">取消</a>
          <div class="cl"></div>
        </div>

      </div>
    </div>
<% end %>